-module(cake@dialect@postgres_dialect).
-compile([no_auto_import, nowarn_unused_vars, nowarn_unused_function, nowarn_nomatch]).

-export([read_cake_query_to_prepared_statement/1, query_to_prepared_statement/1, write_query_to_prepared_statement/1]).

-spec read_cake_query_to_prepared_statement(cake:cake_query(any())) -> cake@internal@prepared_statement:prepared_statement().
read_cake_query_to_prepared_statement(Qry) ->
    _pipe = Qry,
    cake:cake_query_to_prepared_statement(_pipe, postgres).

-spec query_to_prepared_statement(cake@internal@read_query:read_query()) -> cake@internal@prepared_statement:prepared_statement().
query_to_prepared_statement(Qry) ->
    _pipe = Qry,
    cake:read_query_to_prepared_statement(_pipe, postgres).

-spec write_query_to_prepared_statement(
    cake@internal@write_query:write_query(any())
) -> cake@internal@prepared_statement:prepared_statement().
write_query_to_prepared_statement(Qry) ->
    _pipe = Qry,
    cake:write_query_to_prepared_statement(_pipe, postgres).
